Retrieve guest record that having reservation from current and future cruise.
get
/spms/v2/ships/{shipId}/reservations/backToBackReservations
This is to retrieve listing of same guest that have reservation from current and future cruise.
Request
Supported Media Types
- application/json
Path Parameters
-
shipId: number
Ship Id
Query Parameters
-
fromCruiseId: number
Cruise itinerary ID (reservation from source cruise itinerary)
-
orderBy: string
Order by First Name and Last Name with format column1:asc/desc,column2:asc/descDefault Value:
firstName:asc -
toCruiseId: number
Cruise itinerary ID (reservation from destination cruise itinerary)
Response
Supported Media Types
- application/json
200 Response
OK
Root Schema : guestReservationResponse
Type:
objectTitle:
guestReservationResponseGuest Reservation Response
Show Source
-
guestRecordListings(optional):
array guestRecordListings
-
toCruiseDescription(optional):
string
Cruise Itinerary Description (destination Cruise Itinerary)Example:
Fjord Itinerary -
toCruiseId(optional):
number
Cruise Itinerary ID (destination Cruise Itinerary)Example:
123 -
toCruiseStartDate(optional):
string(ISO 8601 (YYYY-MM-DD))
Cruise Start Date (destination Cruise start date)Example:
2025-04-19
Nested Schema : guestRecordListings
Type:
Show Source
array-
Array of:
object guestRecord
Guest Record
Nested Schema : guestRecord
Type:
objectGuest Record
Show Source
-
accountCategory(optional):
object accountCategory
Account Category
-
dateOfBirth(optional):
string(ISO 8601 (YYYY-MM-DD))
Date of BirthExample:
1970-02-15 -
discountTemplate(optional):
object discountTemplate
Discount Template
-
disembarkationDate(optional):
string
Reservation disembarkation date * `Optional` (Do not provide if not in use) * For all Profile TypesExample:
2021-01-30 -
email(optional):
string
Minimum Length:
1Maximum Length:50Pattern:^\w+([\.-]?\w+)*@\w+([\.-]?\w+)*(\.\w{2,3})+$Email Address * `null` if emptyExample:oneworld@gmail.com -
embarkationDate(optional):
string
Reservation embarkation date * `Optional` (Do not provide if not in use) * For all Profile TypesExample:
2021-01-26 -
firstName(optional):
string
Minimum Length:
1Maximum Length:40Pattern:^[a-zA-ZÀ-ÖØ-öø-ÿ0-9 _,?\/.\-+*~!@#$%&{}[\]\(\)=|^'":;@`\\]*$First name * `Optional` (Do not provide if not in use) * `null` if searching `null` * For all Profile TypesExample:Doe -
fromReservationId(optional):
number
Reservation ID (source reservation ID)Example:
12345 -
gender(optional):
object gender
Gender
-
lastName(optional):
string
Minimum Length:
1Maximum Length:40Pattern:^[a-zA-ZÀ-ÖØ-öø-ÿ0-9 _,?\/.\-+*~!@#$%&{}[\]\(\)=|^'":;@`\\]*$Last name * `Optional` (Do not provide if not in use) * `null` if searching `null` * For all Profile TypesExample:Jaden -
middleName(optional):
string
Minimum Length:
1Maximum Length:40Pattern:^[a-zA-ZÀ-ÖØ-öø-ÿ0-9 _,?\/.\-+*~!@#$%&{}[\]\(\)=|^'":;@`\\]*$Middle name * `Optional` (Do not provide if not in use) * `null` if searching `null` * For all Profile TypesExample:Jay -
mobileNumber(optional):
string
Minimum Length:
1Maximum Length:30Pattern:^[0-9]*$Mobile Number * `null` if emptyExample:4413563590 -
nationality(optional):
string
Minimum Length:
1Maximum Length:6Pattern:^[ A-Za-z0-9_@./#&+-]*$Nationality code * `Optional` (Do not provide if not in use) * `null` if searching `null` * For all Profile TypesExample:US -
otherFirstName(optional):
string
Other First NameExample:
Mäya -
otherLastName(optional):
string
Other Last NameExample:
Wälters -
passportExpiryDate(optional):
string(ISO 8601 (YYYY-MM-DD))
Passport Expiry DateExample:
2025-02-25 -
passportNumber(optional):
string
Minimum Length:
1Maximum Length:20Pattern:^[a-zA-Z0-9 _,?/.\-+* ~!@#$%&{}[]()=<>|^'":;@`]*$Passport number * `Optional` (Do not provide if not in use) * `null` if searching `null` * For all Profile TypesExample:A123409982 -
photo(optional):
string
PhotoExample:
https://[HOSTNAME]/resources/img_01.jpg -
reservationExternalId(optional):
string
Reservation External IDExample:
132789 -
reservationExternalReferenceId(optional):
string
Reservation External Reference IDExample:
D132789 -
salutation(optional):
string
SalutationExample:
Dr. -
stateroomNumber(optional):
string
Minimum Length:
1Maximum Length:20Pattern:^[a-zA-Z0-9 _,?/.\-+* ~!@#$%&{}[]()=<>|^'":;@`]*$Stateroom number / Cabin number * `Optional` (Do not provide if not in use) * `null` if searching `null` * For `P`, `R`, `C` Profile Types * Ignored if given only other Profile TypesExample:B1001 -
title(optional):
string
TitleExample:
Countess -
toReservationId(optional):
number
Reservation ID (destination reservation ID)Example:
54321
Nested Schema : accountCategory
Type:
objectAccount Category
Show Source
-
code(optional):
string
Minimum Value:
1Maximum Value:6Pattern:^[a-zA-Z0-9 _,\\?/\\.\\-\\\\+\\*\n~!@#$%&{}\\[\\]()=<>\\|\\^\\'\\\":;@`]*$Account Category codeExample:PROLOS -
description(optional):
string
Account Category DescriptionExample:
Regular Guest
Nested Schema : discountTemplate
Type:
objectDiscount Template
Show Source
-
code(optional):
string
Discount Template CodeExample:
LV2 -
description(optional):
string
Discount Template DescriptionExample:
Disc Template 2
Nested Schema : gender
Type:
objectGender
Show Source
-
code(optional):
string
Pattern:
^[FMX]$Gender CodeExample:F -
description(optional):
string
Gender NameExample:
Female
204 Response
No Content
400 Response
Bad Request
Root Schema : schema
Match All
Show Source
-
object
Error Response
Title:
Error ResponseError Response returned when encountered error
Example:
{
"type":"HTTP://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.1",
"title":"Bad Request",
"detail":"The parameter 'shipId' has incorrect format"
}Nested Schema : Error Response
Type:
objectTitle:
Error ResponseError Response returned when encountered error
Show Source
401 Response
Unauthorized
Root Schema : schema
Match All
Show Source
-
object
Error Response
Title:
Error ResponseError Response returned when encountered error
Example:
{
"type":"http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.2",
"title":"Unauthorized",
"detail":"Valid token is required to access this resource"
}Nested Schema : Error Response
Type:
objectTitle:
Error ResponseError Response returned when encountered error
Show Source
403 Response
Forbidden
Root Schema : schema
Match All
Show Source
-
object
Error Response
Title:
Error ResponseError Response returned when encountered error
Example:
{
"type":"http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.4",
"title":"Forbidden",
"detail":"Access to this resource is forbidden"
}Nested Schema : Error Response
Type:
objectTitle:
Error ResponseError Response returned when encountered error
Show Source
404 Response
Not Found
Root Schema : schema
Match All
Show Source
-
object
Error Response
Title:
Error ResponseError Response returned when encountered error
Example:
{
"type":"http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.5",
"title":"Not Found",
"detail":"HTTP 404 Not Found"
}Nested Schema : Error Response
Type:
objectTitle:
Error ResponseError Response returned when encountered error
Show Source
405 Response
Method Not Allowed
Root Schema : schema
Match All
Show Source
-
object
Error Response
Title:
Error ResponseError Response returned when encountered error
Example:
{
"type":"http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.6",
"title":"Method Not Supported",
"detail":"HTTP method not supported for this resource"
}Nested Schema : Error Response
Type:
objectTitle:
Error ResponseError Response returned when encountered error
Show Source
406 Response
Not Acceptable
Root Schema : schema
Match All
Show Source
-
object
Error Response
Title:
Error ResponseError Response returned when encountered error
Example:
{
"type":"http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.7",
"title":"Not Acceptable",
"detail":"Request a Mime type that is supported for this Resource"
}Nested Schema : Error Response
Type:
objectTitle:
Error ResponseError Response returned when encountered error
Show Source
410 Response
Gone
Root Schema : schema
Match All
Show Source
-
object
Error Response
Title:
Error ResponseError Response returned when encountered error
Example:
{
"type":"http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.11",
"title":"Gone",
"detail":"Requested Resource no longer exists"
}Nested Schema : Error Response
Type:
objectTitle:
Error ResponseError Response returned when encountered error
Show Source
415 Response
Unsupported Media Type
Root Schema : schema
Match All
Show Source
-
object
Error Response
Title:
Error ResponseError Response returned when encountered error
Example:
{
"type":"http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.16",
"title":"Invalid content",
"detail":"Content type not supported"
}Nested Schema : Error Response
Type:
objectTitle:
Error ResponseError Response returned when encountered error
Show Source
500 Response
Internal Server Error
Root Schema : schema
Match All
Show Source
-
object
Error Response
Title:
Error ResponseError Response returned when encountered error
Example:
{
"type":"http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.5.1",
"title":"Internal Server Error",
"detail":"Issue fulfilling request. Please retry or contact support"
}Nested Schema : Error Response
Type:
objectTitle:
Error ResponseError Response returned when encountered error
Show Source
501 Response
Not Implemented
Root Schema : schema
Match All
Show Source
-
object
Error Response
Title:
Error ResponseError Response returned when encountered error
Example:
{
"type":"http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.5.2",
"title":"Not implemented",
"detail":"Resource is not implemented in this version of the API"
}Nested Schema : Error Response
Type:
objectTitle:
Error ResponseError Response returned when encountered error
Show Source
503 Response
Service Unavailable
Root Schema : schema
Match All
Show Source
-
object
Error Response
Title:
Error ResponseError Response returned when encountered error
Example:
{
"type":"http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.5.4",
"title":"Service Unavailable",
"detail":"Service not available"
}Nested Schema : Error Response
Type:
objectTitle:
Error ResponseError Response returned when encountered error
Show Source